<mat-toolbar class="barra">
  <b>FOROland</b>
  <ng-container *ngIf="authService.currentUser$ | async as user; else loginButton">
    <button mat-button (click)="logout()">
      <mat-icon>account_circle</mat-icon>
      {{user.displayName}}
      <mat-icon>expand_more</mat-icon>
    </button>
  </ng-container>

  <ng-template #loginButton>
    <button mat-button routerLink="login">
      <mat-icon>login</mat-icon>
      Iniciar Sesión
    </button>
  </ng-template>
</mat-toolbar>

<div class="content">
  <router-outlet></router-outlet>
</div>

<mat-menu #userMenu="matMenu">
  <button mat-menu-item routerLink="/profile">
    <mat-icon>account_circle</mat-icon>
    Profile
  </button>
  <button mat-menu-item (click)="logout()">
    <mat-icon>logout</mat-icon>
    Iniciar Sesión
  </button>
</mat-menu>
